Package org.eclipse.m2m.atl.adt.ui.text.atl

## Class AtlStringAutoIndentStrategy

- java.lang.Object
- - org.eclipse.jface.text.DefaultIndentLineAutoEditStrategy
  - - org.eclipse.m2m.atl.adt.ui.text.atl.AtlStringAutoIndentStrategy

All Implemented Interfaces:
  `org.eclipse.jface.text.IAutoEditStrategy`

    public class AtlStringAutoIndentStrategy
    extends org.eclipse.jface.text.DefaultIndentLineAutoEditStrategy

Auto indent strategy for strings.

### Constructor Summary

Constructors
`AtlStringAutoIndentStrategy​(java.lang.String partitioning)` Creates a new string auto indent strategy for the given document partitioning.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `customizeDocumentCommand​(org.eclipse.jface.text.IDocument document, org.eclipse.jface.text.DocumentCommand command)`

### Methods inherited from class org.eclipse.jface.text.DefaultIndentLineAutoEditStrategy

`findEndOfWhiteSpace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AtlStringAutoIndentStrategy

    public AtlStringAutoIndentStrategy​(java.lang.String partitioning)

Creates a new string auto indent strategy for the given document partitioning.

Parameters:
  `partitioning` - the document partitioning

### Method Detail

#### customizeDocumentCommand

    public void customizeDocumentCommand​(org.eclipse.jface.text.IDocument document,
                                         org.eclipse.jface.text.DocumentCommand command)

Specified by:
  `customizeDocumentCommand` in interface `org.eclipse.jface.text.IAutoEditStrategy`
Overrides:
  `customizeDocumentCommand` in class `org.eclipse.jface.text.DefaultIndentLineAutoEditStrategy`
See Also:
  `DefaultIndentLineAutoEditStrategy.customizeDocumentCommand(org.eclipse.jface.text.IDocument, org.eclipse.jface.text.DocumentCommand)`